curl --request POST \
--url https://api.hubapi.com/marketing/v3/transactional/smtp-tokens \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"campaignName": "<string>",
"createContact": true
}
'{
"campaignName": "<string>",
"createContact": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"emailCampaignId": "<string>",
"id": "<string>",
"password": "<string>"
}Créer un jeton d’API SMTP.
curl --request POST \
--url https://api.hubapi.com/marketing/v3/transactional/smtp-tokens \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"campaignName": "<string>",
"createContact": true
}
'{
"campaignName": "<string>",
"createContact": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"emailCampaignId": "<string>",
"id": "<string>",
"password": "<string>"
}Produits pris en charge
Portées requises
The access token received from the authorization server in the OAuth 2.0 flow.
A request object that includes the campaign name tied to the token and whether contacts should be created for email recipients.
successful operation
A SMTP API token provides both an ID and password that can be used to send email through the HubSpot SMTP API.
Un nom pour la campagne lié au jeton API SMTP.
Indique si un contact doit être créé pour les destinataires de l'e-mail.
Horodatage généré lors de la création d'un jeton.
Adresse e-mail de l'utilisateur qui a envoyé la demande de création de jeton.
Identifiant attribué à la campagne fourni dans la demande de création de jeton.
Identifiant de l'événement.
Mot de passe utilisé pour se connecter au serveur SMTP HubSpot.